"use strict";
/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const core_1 = require("@theia/core");
const rstudio_command_contribution_1 = require("./rstudio-command-contribution");
const rstudio_server_proxy_open_handler_1 = require("./rstudio-server-proxy-open-handler");
const tab_bar_toolbar_1 = require("@theia/core/lib/browser/shell/tab-bar-toolbar");
const browser_1 = require("@theia/core/lib/browser");
const rstudio_open_handler_1 = require("./rstudio-open-handler");
exports.default = new inversify_1.ContainerModule((bind) => {
    bind(rstudio_command_contribution_1.RstudioCommandContribution).toSelf().inSingletonScope();
    bind(core_1.CommandContribution).toService(rstudio_command_contribution_1.RstudioCommandContribution);
    bind(tab_bar_toolbar_1.TabBarToolbarContribution).toService(rstudio_command_contribution_1.RstudioCommandContribution);
    bind(browser_1.OpenHandler).to(rstudio_server_proxy_open_handler_1.RStudioServerProxyOpenHandler);
    bind(browser_1.OpenHandler).to(rstudio_open_handler_1.RStudioOpenHandler);
});
//# sourceMappingURL=rstudio-frontend-module.js.map