/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { Options, RequestHandler } from 'http-proxy-middleware';
import { ServerProxyContribution, ServerProxyCommand, BaseServerProxyInstanceBuilder } from 'theia-server-proxy-extension/lib/node/server-proxy-contribution';
import { ServerProxyInstance } from 'theia-server-proxy-extension/lib/node/server-proxy-instance';
import { ServerProxy } from 'theia-server-proxy-extension/lib/common/server-proxy';
import { ServerProxyUrlManager } from 'theia-server-proxy-extension/lib/common/server-proxy-url-manager';
import { ILogger } from '@theia/core';
import { RStudioCliContribution } from './rstudio-cli-contribution';
export declare class RStudioServerProxyInstanceBuilder extends BaseServerProxyInstanceBuilder<void> {
    serverProxy: ServerProxy;
    instance: ServerProxyInstance | undefined;
    build(instanceId: string, context: void): Promise<ServerProxyInstance>;
    getCommand(instanceId: string, context: any): Promise<ServerProxyCommand>;
}
export declare class RStudioServerProxyContribution implements ServerProxyContribution {
    readonly serverProxyInstanceBuilder: RStudioServerProxyInstanceBuilder;
    id: string;
    name: string;
    protected readonly logger: ILogger;
    protected readonly serverProxyUrlManager: ServerProxyUrlManager;
    protected readonly rstudioCliContribution: RStudioCliContribution;
    protected instance: ServerProxyInstance | undefined;
    private clientId;
    private clientVersion;
    private csrfToken;
    constructor(serverProxyInstanceBuilder: RStudioServerProxyInstanceBuilder);
    getMiddleware(basePath: string, baseOptions: Options): RequestHandler;
}
//# sourceMappingURL=rstudio-server-proxy-contribution.d.ts.map